<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfWSExtensibleTerminal ArrayType
 * @subpackage Arrays
 */
class ArrayOfWSExtensibleTerminal extends AbstractStructArrayBase
{
    /**
     * The WSExtensibleTerminal
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\WSExtensibleTerminal[]
     */
    public $WSExtensibleTerminal;
    /**
     * Constructor method for ArrayOfWSExtensibleTerminal
     * @uses ArrayOfWSExtensibleTerminal::setWSExtensibleTerminal()
     * @param \StructType\WSExtensibleTerminal[] $wSExtensibleTerminal
     */
    public function __construct(array $wSExtensibleTerminal = array())
    {
        $this
            ->setWSExtensibleTerminal($wSExtensibleTerminal);
    }
    /**
     * Get WSExtensibleTerminal value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\WSExtensibleTerminal[]|null
     */
    public function getWSExtensibleTerminal()
    {
        return isset($this->WSExtensibleTerminal) ? $this->WSExtensibleTerminal : null;
    }
    /**
     * This method is responsible for validating the values passed to the setWSExtensibleTerminal method
     * This method is willingly generated in order to preserve the one-line inline validation within the setWSExtensibleTerminal method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateWSExtensibleTerminalForArrayConstraintsFromSetWSExtensibleTerminal(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfWSExtensibleTerminalWSExtensibleTerminalItem) {
            // validation for constraint: itemType
            if (!$arrayOfWSExtensibleTerminalWSExtensibleTerminalItem instanceof \StructType\WSExtensibleTerminal) {
                $invalidValues[] = is_object($arrayOfWSExtensibleTerminalWSExtensibleTerminalItem) ? get_class($arrayOfWSExtensibleTerminalWSExtensibleTerminalItem) : sprintf('%s(%s)', gettype($arrayOfWSExtensibleTerminalWSExtensibleTerminalItem), var_export($arrayOfWSExtensibleTerminalWSExtensibleTerminalItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The WSExtensibleTerminal property can only contain items of type \StructType\WSExtensibleTerminal, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set WSExtensibleTerminal value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\WSExtensibleTerminal[] $wSExtensibleTerminal
     * @return \ArrayType\ArrayOfWSExtensibleTerminal
     */
    public function setWSExtensibleTerminal(array $wSExtensibleTerminal = array())
    {
        // validation for constraint: array
        if ('' !== ($wSExtensibleTerminalArrayErrorMessage = self::validateWSExtensibleTerminalForArrayConstraintsFromSetWSExtensibleTerminal($wSExtensibleTerminal))) {
            throw new \InvalidArgumentException($wSExtensibleTerminalArrayErrorMessage, __LINE__);
        }
        if (is_null($wSExtensibleTerminal) || (is_array($wSExtensibleTerminal) && empty($wSExtensibleTerminal))) {
            unset($this->WSExtensibleTerminal);
        } else {
            $this->WSExtensibleTerminal = $wSExtensibleTerminal;
        }
        return $this;
    }
    /**
     * Add item to WSExtensibleTerminal value
     * @throws \InvalidArgumentException
     * @param \StructType\WSExtensibleTerminal $item
     * @return \ArrayType\ArrayOfWSExtensibleTerminal
     */
    public function addToWSExtensibleTerminal(\StructType\WSExtensibleTerminal $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\WSExtensibleTerminal) {
            throw new \InvalidArgumentException(sprintf('The WSExtensibleTerminal property can only contain items of type \StructType\WSExtensibleTerminal, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->WSExtensibleTerminal[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\WSExtensibleTerminal|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\WSExtensibleTerminal|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\WSExtensibleTerminal|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\WSExtensibleTerminal|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\WSExtensibleTerminal|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string WSExtensibleTerminal
     */
    public function getAttributeName()
    {
        return 'WSExtensibleTerminal';
    }
}
